<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

only_reg();

$set['title']='Заметки';
include_once '../../sys/inc/thead.php';

aut();
title();
echo"<div class='foot'>\n";
echo"<a href='index.php'>Заметки</a><br />\n";
echo"</div>\n";

if (!isset($_GET['id']) && !is_numeric($_GET['id'])){header("Location: index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_list` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1",$db), 0)==0){header("Location: index.php?".SID);exit;}
$notes=mysql_fetch_array(mysql_query("select * from `blog_list` where `id`='".intval($_GET['id'])."';"));

if (($user['level'] < 2) && ($user['id'] !=$notes['id_user']))
{
$set['title']='Ошибка';
include_once '../../sys/inc/thead.php';

echo "У вас нету прав доступа к этой странице!";
echo"<div class='foot'>\n";
echo"<a href='index.php'>Заметки</a><br />\n";
echo"</div>\n";
include_once '../../sys/inc/tfoot.php';
exit();
}








if (isset($_GET['edit']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['msg']))
{
$msg=mysql_real_escape_string($_POST['msg']);
$name=mysql_real_escape_string($_POST['name']);

if (strlen2($name)<3)$err='Короткое название';
if (strlen2($name)>50)$err='Длина названия превышает предел в 50 символов';
if (strlen2($msg)<3)$err='Короткий Текст';
if (strlen2($msg)>10000)$err='Длина текста превышает предел в 10000 символа';

if(isset($_POST['privat']))
{
if($_POST['privat'] == 1) $privat='1';
else $privat='0';
}
else $privat='0';


if (!isset($err))
{
mysql_query("UPDATE `blog_list` SET `name` = '$name', `msg` = '$msg', `time` = '$time', `privat` = '$privat' WHERE `id`='".intval($_GET['id'])."'");
echo"".mysql_error()."";
msg('Запись изменена');
}
}



if (isset($_GET['del']))
{

if (isset($_GET['ok']))
{
mysql_query("DELETE FROM `blog_komm` WHERE `id_blog` = '".$notes['id']."' LIMIT 1");
mysql_query("DELETE FROM `blog_list` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1");
msg('Запись удалена');
echo"<div class='foot'>\n";
echo"<a href='index.php'>Заметки</a><br />\n";
echo"</div>\n";

include_once '../../sys/inc/tfoot.php';
exit();
}
else
{
echo"<div class='main'>\n";
echo"<center>Вы уверены что хотите удалить запись? <br />[<a href='?id=".intval($_GET['id'])."&amp;del&amp;ok'><img src='/style/icons/ok.gif' alt='*' /> Да</a>]  [<a href='list.php?id=".intval($_GET['id'])."'><img src='/style/icons/delete.gif' alt='*' /> Нет</a>]</senter><br />";
echo"</div>";
include_once '../../sys/inc/tfoot.php';
}
}

err();

$notes=mysql_fetch_array(mysql_query("select * from `blog_list` where `id`='".intval($_GET['id'])."';"));



echo "<form method='post' action='?id=".intval($_GET['id'])."&amp;edit'>\n";
echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"$notes[name]\" /><br />\n";

echo "Текст: <br />";
echo "<textarea name=\"msg\">$notes[msg]</textarea><br />";

echo "<label><input type=\"checkbox\" name=\"privat\" value=\"1\" />Приватная Заметка</label><br />\n";


echo "<input value=\"Применить\" type=\"submit\" />\n";
echo "</form>\n";



echo"<div class='foot'>\n";
echo"<a href='list.php?id=".intval($_GET['id'])."'>Назад</a><br />\n";
echo"</div>\n";

include_once '../../sys/inc/tfoot.php';

?>